
@font-face {
    font-family: "Helvetica";
    src: url("../fonts/HelveticaNeueLight.otf");
    font-style: light;
    font-weight: 300;
}
@font-face {
    font-family: "Helvetica";
    src: url("../fonts/HelveticaNeueRoman.otf");
    font-style: normal;
    font-weight: 400;
}
@font-face {
    font-family: "Helvetica";
    src: url("../fonts/HelveticaNeueBold.otf");
    font-style: bold;
    font-weight: 700;
}
body{
    font-family: "Helvetica", sans-serif;
    font-style: normal;
    background: #01050C;
    color: #FFFFFF;
    min-height: 100vh;
    margin: 0;
}

.container{
    max-width: 100%;
    margin: 0 auto;
    position: relative;
}

img{
    max-width: 100%;
}

*{
    box-sizing: border-box;
}

header{
    padding: calc(44 / 1440 * 100vw) calc(53 / 1440 * 100vw) calc(375 / 1440 * 100vw);
}
.logo{
    width: calc(149 / 1440 * 100vw);
    height: calc(31 / 1440 * 100vw);
}
.mob_21{
    display: none;
}

main{
    height: 100vh;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    position: relative;
    overflow: hidden;
    min-height: calc(780 / 1440 * 100vw);
}

.btn{
    font-size: calc(23 / 1440 * 100vw);
    line-height: 100%;
    font-weight: 700;
    margin-bottom: calc(16 / 1440 * 100vw);
    display: flex;
    align-items: center;
    justify-content: center;
    padding: calc(24 / 1440 * 100vw) calc(70 / 1440 * 100vw);
    border-radius: 50px;
    width: calc(320 / 1440 * 100vw);
    text-decoration: none;
    transition: all .3s ease;
    max-height: calc(72 / 1440 * 100vw);
}

.green_btn{
    background: #CCFF00;
    color: #000;
    box-shadow:
    7.86px 3.93px 7.86px 0px #FFFFFFBF inset,
    -7.86px -3.93px 7.86px 0px #33400040 inset,
    -3.93px -1.97px 1.97px 0px #CCFF00 inset;
    transition: all .3s ease;
    border: 2px solid #CCFF00;
}

.green_btn:hover {
    transition: all .3s ease;
    background: #b3e600;
    color: #111;
    box-shadow:none;
}


.transparent_btn{
    color:  #CFCFCF;
    background: #8C8C8C1A;
    border: 2px solid #626262
}
.transparent_btn .act{
    color: #CCFF00;
    opacity: 0;
    transition: all 1s ease;
    position: absolute;
}
.transparent_btn:hover {
    background: #8C8C8C33; 
    color: #ffffff;
    border-color: #CFCFCF;
    box-shadow: 0 0 10px #CFCFCF55;
}

.btns{
    display: flex;
    flex-direction: column;
    align-items: center;
    position: relative;
    z-index: 10;
}

.btns p{
    font-size: calc(14 / 1440 * 100vw);
    line-height: 100%;
    font-weight: 400;
    color: #BFBFBF;
    margin: calc(18 / 1440 * 100vw) 0 calc(29 / 1440 * 100vw) ;
}

.btns p a{
    font-weight: 700;
    text-decoration: none;
    color: #3734EE;
}

.marquee {
    overflow: hidden;
    position: relative;
    width: 100%;
    z-index: 15;
    padding-bottom: calc(45 / 1440 * 100vw);
}
.bottom_line {
    display: flex;
    align-items: center;
    width: max-content;
    animation: scroll-marquee 20s linear infinite;
    column-gap: calc(35 / 1440 * 100vw);
}
@keyframes scroll-marquee {
    0% {
        transform: translateX(0%);
    }
    100% {
        transform: translateX(-50%);
    }
}

.b_bl{
    font-family: "Inter", sans-serif;
    font-weight: 700;
    font-size: calc(16 / 1440 * 100vw);
    line-height: 100%;
    color: #BDBDBD33;
    display: flex;
    align-items: center;
}
.b_bl span{
    display: block;
}
.b_bl img{
    width: calc(14 / 1440 * 100vw);
    height: calc(20 / 1440 * 100vw);
    margin-left: calc(35 / 1440 * 100vw);
}

.main_title{
    position: absolute;
    top: 0;
    left: 50%;
    transform: translate(-50%);
    width: calc(845 / 1440 * 100vw);
    height:auto;
    z-index: 10;
}

.gorila{
    position: absolute;
    bottom: calc(55 / 1440 * 100vw);
    left: 50%;
    transform: translate(-46%, 0);
    width: calc(530 / 1440 * 100vw);
    z-index: 1;
}

.girl{
    position: absolute;
    bottom: calc(10 / 1440 * 100vw);
    left: 12%;
    width: calc(610 / 1440 * 100vw);
    z-index: 2;
}

.mask{
    position: absolute;
    bottom: calc(-10 / 1440 * 100vw);
    right: 24%;
    width: calc(400 / 1440 * 100vw);
    z-index: 2;
    transition: opacity 1s ease;
}
.man{
    position: absolute;
    bottom: calc(-10 / 1440 * 100vw);
    right: 24%;
    width: calc(400 / 1440 * 100vw);
    z-index: 2;
    opacity: 0;
    transition: opacity 1s ease;
}

.man.active{
    opacity: 1;
}

body:has(.active) .mask{
    opacity: 0;
}

.hand_right{
    position: absolute;
    bottom: calc(422 / 1440 * 100vw);
    right: 27%;
    width: calc(122 / 1440 * 100vw);
    z-index: 4;
}

.main_bg{
    position: absolute;
    width: 100%;
    height: 100%;
    object-fit: cover;
    object-position: center;
    top: 0;
    left: 0;
    z-index: -1;
}

.coin1{
    position: absolute;
    bottom: calc(0 / 1440 * 100vw);
    left: 0%;
    width: calc(645 / 1440 * 100vw);
    z-index: 1;
}

.coin2{
    position: absolute;
    bottom: 0;
    left: 15%;
    width: calc(700 / 1440 * 100vw);
    z-index: 2;
}

.cube {
    position: absolute;
    right: 7%;
    width: calc(265 / 1440 * 100vw);
    z-index: 2;
    bottom: calc(356 / 1440 * 100vw);
}

.fortuna{
    position: absolute;
    bottom: 0;
    right: 2%;
    width: calc(758 / 1440 * 100vw);
    z-index: 2;
    bottom: 0;
}

.bottom_gradient{
    position: absolute;
    bottom: 0;
    width: 100%;
    height: auto;
    min-height: 50%;
    object-fit: cover;
    z-index: 2;
}

.content{
    position: relative;
    z-index: 100;
}

.transparent_btn.active .default{
    display: none;
}

.transparent_btn.active .act{
    position: relative;
    opacity: 1;
}

.mob{
    display: none;
}
.logo_bottom{
    display: none;
}

@media (max-width: 991px) {
    main{
        min-height: 800px;
    }
    .mob{
        display: block;
    }
    .desk{
        display: none;
    }
    .main_title {
        width: 100%;
        max-width: 400px;
        z-index: 1;
    }
    header {
        padding: 25px 13px;
    }
    header .container{
        display: flex;
        justify-content: flex-end;
        padding: 0;
    }
    .mob_21{
        display: block;
    }
    .logo{
        display: none;
    }
    .main_bg {
        object-position: top;
    }
    .container{
        padding: 0 20px;
    }
    .btn{
        font-weight: 700;
        font-size: 23.59px;
        line-height: 100%;
        text-align: center;    
        margin-bottom: 8px;
        padding: 24px 40px;
        border-radius: 50px;
        width: 100%;
        max-width: 320px;    
        height: 71px;
        max-height: 71px;
    }
    .btns p {
        font-size: 14px;
        line-height: 100%;
        font-weight: 400;
        color: #BFBFBF;
        margin: 8px 0 36px;
    }
    .logo_bottom{
        display: block;
        width: 149px;
        height: auto;
        margin: 0 auto 18px;
    }
    .marquee {
        padding-bottom: 30px;
    }
    .b_bl{
        font-size: 16px;
    }
    .b_bl img{
        margin-left: 9px;
        width: 14px;
        height: 20px;
        height: auto;
    }
    .bottom_line{
        column-gap: 9px;
    }
    .gorila {
        bottom: 34%;
        left: 49%;
        width: 100%;
        max-width: 360px;
    }
    .girl {
        bottom: 31%;
        left: calc(50% - 300px);
        width: 100%;
        max-width: 360px;
    }
    .mask {
        right: calc(50% - 228px);
        bottom: 27%;
        width: 71%;
        z-index: 2;
        max-width: 255px;
    }
    .man {
        bottom: 27%;
        right: calc(50% - 230px);
        width: 72%;
        max-width: 259px;
    }
    .coin1 {
        left: 16%;
        width: 75px;
        z-index: 1;
        top: 11%;
    }
    .coin2 {
        position: absolute;
        bottom: 0%;
        left: calc(50% - 180px);
        width: 100%;
        z-index: 2;
        max-width: 360px;
    }
    .fortuna {
        bottom: 0;
        right: auto;
        width: 295px;
        z-index: 3;
        bottom: 0;
        left: 0;
    }
    .grad_b1{
        width: 100%;
        height: 50%;
        background: linear-gradient(0deg, #000000 3.03%, rgba(0, 0, 0, 0) 100%);
        position: absolute;
        bottom: 0;
        left: 0;
        z-index: 4;
    }
    .grad_b2{
        width: 100%;
        height: 45%;
        background: linear-gradient(0deg, #000000 31.15%, rgba(0, 0, 0, 0.5) 73.72%, rgba(0, 0, 0, 0) 93.94%);
        position: absolute;
        bottom: 100px;
        left: 0;
        z-index: 2;
    }
    .hand_right {
        top: 248px;
        right: -4px;
        width: 81px;
        z-index: 4;
        right: calc(50% - 200px);
    }
    .cube{
        width: 74px;
        z-index: 5;
        bottom: 8%;
        left: auto;
        right: 5%;
    }
}

@media (max-width: 991px) and (min-height: 801px) {
    .hand_right {
        top: calc(80% - 400px);
    }
}
